//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <stdio.h>

#include "Trans2.h"
#include "Trans1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFSettings *FSettings;
//---------------------------------------------------------------------------
__fastcall TFSettings::TFSettings(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFSettings::FormShow(TObject *Sender)
{
    Ini=new TIniFile("Translator.ini");
    Ini->ReadSections(CBProject->Items);
	SGResFiles->Cells[0][0]="File";
    SGResFiles->Cells[1][0]="Directory";
}
//---------------------------------------------------------------------------
void __fastcall TFSettings::BSaveClick(TObject *Sender)
{
	String prj=CBProject->Text;
    Ini->WriteString(prj,"ProjDir",EProjDir->Text);
    Ini->WriteString(prj,"Header",EHeader->Text);
	Ini->WriteString(prj,"Function",EFunction->Text);
    Ini->WriteString(prj,"StartID",EStartId->Text);
    for (int n=1; n<SGResFiles->RowCount; n++)
    {	Ini->WriteString(prj,"ResFile"+String(n),SGResFiles->Cells[0][n]);
		Ini->WriteString(prj,"ResDir"+String(n),SGResFiles->Cells[1][n]);
    }
}
//---------------------------------------------------------------------------
void __fastcall TFSettings::BLoadClick(TObject *Sender)
{
	String prj=CBProject->Text;
    EProjDir->Text=Ini->ReadString(prj,"ProjDir","");
    EHeader->Text=Ini->ReadString(prj,"Header","");
	EFunction->Text=Ini->ReadString(prj,"Function","LRS");
    EStartId->Text=Ini->ReadString(prj,"StartID","1000");
    for (int n=1; n<SGResFiles->RowCount; n++)
    {	SGResFiles->Cells[0][n]=Ini->ReadString(prj,"ResFile"+String(n),"");
		SGResFiles->Cells[1][n]=Ini->ReadString(prj,"ResDir"+String(n),"");
    }
}
//---------------------------------------------------------------------------
void __fastcall TFSettings::FormClose(TObject *Sender,
      TCloseAction &Action)
{
	delete Ini;
}
//---------------------------------------------------------------------------
void __fastcall TFSettings::BOkClick(TObject *Sender)
{
	TStringGrid *sg=FMain->SGRes;
    sg->ColCount=1;
	RHName=EProjDir->Text+"\\"+EHeader->Text;
    // load RH
    FMain->LoadRH(RHName);
    // load RCs
    for (int n=1; n<SGResFiles->RowCount; n++)
    {   String s=SGResFiles->Cells[0][n];
    	String fname=EProjDir->Text+"\\"+SGResFiles->Cells[1][n]+"\\"+s;
    	if (s!="")
    	{  	sg->ColCount=n+1;
        	sg->Cells[n][0]=s;
        	FMain->LoadRC(fname,n);
        }
    }
}
//---------------------------------------------------------------------------
